Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Class RDBMServices.PreparedStatement

    java.lang.Object
      org.jasig.portal.RDBMServices.PreparedStatement

Enclosing class:
  RDBMServices

Deprecated. Instead of this class a wrapper around the DataSource, Connection and Prepared statement should be done in `DatabaseMetaDataImpl`

    public static final class RDBMServices.PreparedStatement

extends java.lang.Object

Wrapper for/Emulator of PreparedStatement class

Field Summary
`private java.lang.String` | `activeQuery` Deprecated.
`private int` | `lastIndex` Deprecated.
`private java.sql.PreparedStatement` | `pstmt` Deprecated.
`private java.lang.String` | `query` Deprecated.
`private java.sql.Statement` | `stmt` Deprecated.

Constructor Summary
`RDBMServices.PreparedStatement(java.sql.Connection con, java.lang.String query)` Deprecated.

Method Summary
`void` | `clearParameters()` Deprecated.
`void` | `close()` Deprecated.
`java.sql.ResultSet` | `executeQuery()` Deprecated.
`int` | `executeUpdate()` Deprecated.
`void` | `setDate(int index, java.sql.Date value)` Deprecated.
`void` | `setInt(int index, int value)` Deprecated.
`void` | `setNull(int index, int sqlType)` Deprecated.
`void` | `setString(int index, java.lang.String value)` Deprecated.
`void` | `setTimestamp(int index, java.sql.Timestamp value)` Deprecated.
`java.lang.String` | `toString()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### query

    private java.lang.String query

  Deprecated.

### activeQuery

    private java.lang.String activeQuery

  Deprecated.

### pstmt

    private java.sql.PreparedStatement pstmt

  Deprecated.

### stmt

    private java.sql.Statement stmt

  Deprecated.

### lastIndex

    private int lastIndex

  Deprecated.

Constructor Detail

### RDBMServices.PreparedStatement

    public RDBMServices.PreparedStatement(java.sql.Connection con,
                                          java.lang.String query)
                                   throws java.sql.SQLException

  Deprecated.
  Throws:
    `java.sql.SQLException`

Method Detail

### clearParameters

    public void clearParameters()
                         throws java.sql.SQLException

  Deprecated.
  Throws:
    `java.sql.SQLException`

### setDate

    public void setDate(int index,
                        java.sql.Date value)
                 throws java.sql.SQLException

  Deprecated.
  Throws:
    `java.sql.SQLException`

### setInt

    public void setInt(int index,
                       int value)
                throws java.sql.SQLException

  Deprecated.
  Throws:
    `java.sql.SQLException`

### setNull

    public void setNull(int index,
                        int sqlType)
                 throws java.sql.SQLException

  Deprecated.
  Throws:
    `java.sql.SQLException`

### setString

    public void setString(int index,
                          java.lang.String value)
                   throws java.sql.SQLException

  Deprecated.
  Throws:
    `java.sql.SQLException`

### setTimestamp

    public void setTimestamp(int index,
                             java.sql.Timestamp value)
                      throws java.sql.SQLException

  Deprecated.
  Throws:
    `java.sql.SQLException`

### executeQuery

    public java.sql.ResultSet executeQuery()
                                    throws java.sql.SQLException

  Deprecated.
  Throws:
    `java.sql.SQLException`

### executeUpdate

    public int executeUpdate()
                      throws java.sql.SQLException

  Deprecated.
  Throws:
    `java.sql.SQLException`

### toString

    public java.lang.String toString()

  Deprecated.
  Overrides:
    `toString` in class `java.lang.Object`

### close

    public void close()
               throws java.sql.SQLException

  Deprecated.
  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD